package com.JN.demo.bizquery.service.impl;

import com.JN.demo.bizquery.dto.BizDto;
import com.JN.demo.bizquery.mapper.BizMapper;
import com.JN.demo.bizquery.service.BizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName BizServiceImpl
 * @Description TODO
 * @Author JN
 * @Date 2024/1/8 10:11
 * @Version 1.0
 */
@Service
public class BizServiceImpl implements BizService {
    @Autowired
    BizMapper bizMapper;

    /**
     * @title queryBizListByName
     * @description 根据名称模糊查询获取列表
     * @author JN
     * @param: name
     * @updateTime 2024/1/9 13:20
     * @return: java.util.List<com.JN.demo.bizquery.dto.Biz>
     */
    @Override
    public List<BizDto> queryBizListByName(String name) {
        return bizMapper.queryBizListByName(name);
    }

    /**
     * @title queryLatestShippingDate
     * @description 根据客户编号和时间获取最近发货日期
     * @author JN
     * @param: kunnr
     * @param: time
     * @updateTime 2024/1/9 13:21
     * @return: java.lang.String
     */
    @Override
    public String queryLatestShippingDate(String kunnr, String time) {
        return bizMapper.queryLatestShippingDate(kunnr, time);
    }

    /**
     * @title queryLatestOrderDate
     * @description 根据客户编号和时间获取最近下单日期
     * @author JN
     * @param: kunnr
     * @param: time
     * @updateTime 2024/1/9 13:35
     * @return: java.lang.String
     */
    @Override
    public String queryLatestOrderDate(String kunnr, String time) {
        return bizMapper.queryLatestOrderDate(kunnr, time);
    }

    /**
     * @title querySalespersonCount
     * @description 根据客户编号和时间获取最近跟进的业务员数量
     * @author JN
     * @param: kunnr
     * @param: time
     * @updateTime 2024/1/9 13:36
     * @return: java.lang.String
     */
    @Override
    public String querySalespersonCount(String kunnr, String time) {
        return bizMapper.querySalespersonCount(kunnr, time);
    }
    
    /**
     * @title queryLatestQuotationDate
     * @description 根据客户名称获取最近报价日期
     * @author JN
     * @param: name
     * @updateTime 2024/1/9 13:38 
     * @return: java.lang.String
     */
    @Override
    public String queryLatestQuotationDate(String name) {
        return bizMapper.queryLatestQuotationDate(name);
    }

}
